Skip to main content
`Ctrl`+`K`

# DMPlexMatSetClosureGeneral

Set an array of the values on the closure of `point` using a different row and column section

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexMatSetClosureGeneral(DM dmRow, PetscSection sectionRow, PetscSection globalSectionRow, PetscBool useRowPerm, DM dmCol, PetscSection sectionCol, PetscSection globalSectionCol, PetscBool useColPerm, Mat A, PetscInt point, const PetscScalar values[], InsertMode mode)

Not collective

## Input Parameters

- dmRow - The `DM` for the row fields

- sectionRow - The section describing the layout, or `NULL` to use the default section in `dmRow`

- useRowPerm - The flag to use the closure permutation of the `dmRow` if available

- globalSectionRow - The section describing the layout, or `NULL` to use the default global section in `dmRow`

- dmCol - The `DM` for the column fields

- sectionCol - The section describing the layout, or `NULL` to use the default section in `dmCol`

- useColPerm - The flag to use the closure permutation of the `dmCol` if available

- globalSectionCol - The section describing the layout, or `NULL` to use the default global section in `dmCol`

- A - The matrix

- point - The point in the `DM`

- values - The array of values

- mode - The insert mode, where `INSERT_ALL_VALUES` and `ADD_ALL_VALUES` also overwrite boundary conditions

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexMatSetClosure()`, `DMPlexVecGetClosure()`, `DMPlexVecSetClosure()`

## Level

intermediate

## Location

src/dm/impls/plex/plex.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages